- Qt 5.15
- Qt Help
- C++ Classes
- QHelpSearchEngine
- Qt 5.15.18 Reference Documentation

# Obsolete Members for QHelpSearchEngine

The following members of class QHelpSearchEngine are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Types

`(obsolete)` typedef | SearchHit

## Public Functions

`(obsolete)` int | hitCount() const
`(obsolete)` QList<SearchHit> | hits(int start, int end) const
`(obsolete)` int | hitsCount() const
`(obsolete)` QList<QHelpSearchQuery> | query() const

## Public Slots

`(obsolete)` void | search(const QList<QHelpSearchQuery> &queryList)

## Member Type Documentation

### typedef QHelpSearchEngine::SearchHit

This typedef is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use QHelpSearchResult instead.

Typedef for QPair<QString, QString>. The values of that pair are the documentation file path and the page title.

See also hits().

## Member Function Documentation

### `[slot]` void QHelpSearchEngine::search(const QList<QHelpSearchQuery> &queryList)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use search(const QString &searchInput) instead.

### int QHelpSearchEngine::hitCount() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use searchResultCount() instead.

This function was introduced in Qt 4.6.

### QList<SearchHit> QHelpSearchEngine::hits(int start, int end) const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use searchResults() instead.

### int QHelpSearchEngine::hitsCount() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use searchResultCount() instead.

### QList<QHelpSearchQuery> QHelpSearchEngine::query() const

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use searchInput() instead.

This function was introduced in Qt 4.5.